<!--
  @description: 运维-结果公示审核页面
  @Modifier: hfx
  @routerPath:/projectManagement/resultBulletinAuditDetail
  @date: 2020/2/19-17:55
-->
<template>
  <div>
    <div class="title p0-16 clearfix">
      <!-- 返回 -->
      <div class="title-back pointer" @click="back">
        <i class="iconfont icon-fanhui mr10" />
        结果公示审核
      </div>
    </div>
    <!--结果公示详情组件-->
    <resultBulletinDetail ref="resultBulletinDetail" />
    <!--操作按鈕 00待审核-->
    <div v-if="$route.query.auditStatus === '00'" class="but_footer">
      <div class="p0-16">
        <div class="page-title">
          审核意见
        </div>
        <el-form ref="auditInfoParam" :model="auditInfoParam">
          <el-form-item ref="auditReason" prop="auditReason">
            <el-input
              v-model="auditInfoParam.auditReason"
              :rows="4"
              type="textarea"
              placeholder="请填写审核意见"
              maxlength="200"
              show-word-limit
            />
          </el-form-item>
        </el-form>
      </div>
      <div class="but_footer-h">
        <div class="but_footer-but">
          <el-button :loading="confirmLoading" type="primary" @click="verified()">
            审核通过
          </el-button>
          <el-button :loading="confirmLoading" @click="auditFail()">
            审核不通过
          </el-button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { auditResultBulletin } from '@/api/bidding/bidCalibration'
import resultBulletinDetail from '../resultBulletin/resultBulletin-detail'// 结果公示查看
export default {
  name: 'ConfirmQualifiedResultAudit',
  components: {
    resultBulletinDetail
  },

  data() {
    return {
      confirmLoading: false, // 控制按钮重复点击Loding
      // 审核信息参数
      auditInfoParam: {
        auditStatus: '', // 01-审核通过 ||02-审核不通过
        auditReason: '', // 审核意见
        winBidResultBulletinId: this.$route.query.winBidResultBulletinId// 结果公示Id
      }
    }
  },
  methods: {
    // 返回
    back() {
      this.$router.push({
        path: '/projectManagement/resultBulletinAudit'
      })
    },
    // 操作审核通过不通过调用接口
    handleAuditBulletin(auditStatus) {
      this.auditInfoParam.auditStatus = auditStatus
      this.confirmLoading = true
      auditResultBulletin(this.auditInfoParam).then(reponse => {
        this.$message({
          type: 'success',
          message: '审核成功'
        })
        this.$router.push({
          path: '/projectManagement/resultBulletinAudit'
        })
        this.confirmLoading = false
      }).catch(() => {
        this.confirmLoading = false
      })
    },
    // 审核通过
    verified() {
      this.$confirm('确认提交?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        confirmButtonClass: 'confirmBtn',
        cancelButtonClass: 'cancelBtn',
        type: 'warning'
      }).then(() => {
        this.handleAuditBulletin('01')
      }).catch(() => {
      })
    },
    // 审核不通过
    auditFail() {
      if (this.auditInfoParam.auditReason) {
        this.$confirm('确认提交?', '提示', {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          confirmButtonClass: 'confirmBtn',
          cancelButtonClass: 'cancelBtn',
          type: 'warning'
        }).then(() => {
          this.handleAuditBulletin('02')
        }).catch(() => {
        })
      } else {
        this.$message({
          type: 'warning',
          message: '请输入审核意见'
        })
      }
    }
  }
}
</script>

<style lang="less" scoped>

</style>
